Package org.apache.lucene.monitor

# Class PresearcherMatches<T extends QueryMatch>

java.lang.Object
org.apache.lucene.monitor.PresearcherMatches<T>

public class PresearcherMatches<T extends QueryMatch> extends Object
Wraps a `MultiMatchingQueries` with information on which presearcher queries were selected

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final MultiMatchingQueries<T>`
  `matcher`
  The wrapped Matches

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PresearcherMatches(Map<String,StringBuilder> matchingTerms, MultiMatchingQueries<T> matcher)`
  Builds a new PresearcherMatches

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PresearcherMatch<T>`
  `match(String queryId, int doc)`
  Returns match information for a given query

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### matcher

    public final MultiMatchingQueries<T extends QueryMatch> matcher
    The wrapped Matches

- ## Constructor Details

  - ### PresearcherMatches

    public PresearcherMatches(Map<String,StringBuilder> matchingTerms, MultiMatchingQueries<T> matcher)
    Builds a new PresearcherMatches

- ## Method Details

  - ### match

    public PresearcherMatch<T> match(String queryId, int doc)
    Returns match information for a given query